[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetStretchBltMode

Sets the StrechBlt mode for an device context.

## Declaration

Source position: winapih.inc line 259

`public function TWidgetSet.SetStretchBltMode(`
`DC: HDC;`
`StretchMode: Integer`
`):Integer; virtual;`

## Arguments

`DC` |  | The Device Context.
`StretchMode` |  | The new mode.

## Function result

The previous mode, zero on failure.

## Description

The following modes are defined:

- BLACKONWHITE - preserves black pixels in a monochrome bitmap.
- COLORONCOLOR
- HALFTONE, STRETCH_HALFTONE
- WHITEONBLACK - preserves white pixels in a monochrome bitmap.